#ifndef MYTREEWIDGET_H
#define MYTREEWIDGET_H

#include <QWidget>
#include <QTreeWidget>
#include <QMimeData>
#include <QDrag>
#include <QMouseEvent>

class myTreeWidget : public QTreeWidget
{
	Q_OBJECT

public:
	explicit myTreeWidget(QWidget *parent = Q_NULLPTR);

protected:
	void dragEnterEvent(QDragEnterEvent *event) override;
	void dragMoveEvent(QDragMoveEvent *event) override;
	void dropEvent(QDropEvent *event) override;
	void mousePressEvent(QMouseEvent *event) override;
//	void mouseMoveEvent(QMouseEvent *event) override;
};

#endif // MYTREEWIDGET_H
