#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QDebug>
#include <QDirIterator>
#include <QFileDialog>


MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::MainWindow)
{
	ui->setupUi(this);
	connect(ui->customWidget, SIGNAL(charKey(int)), this, SLOT(printKey(int)));
	connect(ui->customWidget, SIGNAL(charKey(int)), this, SLOT(printVal(int)));
}

MainWindow::~MainWindow()
{
	delete ui;
}

void MainWindow::printKey(int key)
{
	qDebug() << Qt::Key(key);
}

void MainWindow::printVal(int key)
{
	qDebug() << key;
}
