#ifndef CUSTOMWIDGET_H
#define CUSTOMWIDGET_H

#include <QObject>	// Questo serve soprattutto per poter usare slot e segnali
#include <QWidget>
#include <QKeyEvent>

class CustomWidget : public QWidget
{
	Q_OBJECT
public:
	explicit CustomWidget(QWidget *parent = nullptr);
	int CustomPad = 10;
	int minSize;
	int mainAngle = 90*16;	// inizialmente settato come nell'esempio https://www.youtube.com/watch?v=-K-VU9I4ffY
	int compAngle;			// angolo complemetare: 360*16-mainAngle

protected:
	void paintEvent(QPaintEvent *);
	void keyPressEvent(QKeyEvent *event);

signals:
	void charKey(int key);

public slots:
};

#endif // CUSTOMWIDGET_H
